Subject: RE: [Mip6] RE: HoA assignment

From: Madjid Nakhjiri <[email-masked]>
Date: Wed, 18 Jul 2007 10:26:50 -0700

Ok, so we don't need to have AVPs carrying HoA/HNP from Diameter server
then?

-----Original Message-----
From: Chowdhury, Kuntal [mailto:[email-masked]] 
Sent: Wednesday, July 18, 2007 8:53 AM
To: Madjid Nakhjiri; Vijay Devarapalli
Cc: [email-masked]
Subject: RE: [Mip6] RE: HoA assignment

We had this discussion during bootstrapping solution WGLC. The WG
consensus was to only do HoA/HNP bootstrapping via the HA.

-Kuntal

> -----Original Message-----
> From: Madjid Nakhjiri [mailto:[email-masked]]
> Sent: Monday, July 16, 2007 6:30 PM
> To: 'Vijay Devarapalli'
> Cc: [email-masked]
> Subject: [Mip6] RE: HoA assignment
> 
> Hi Vijay,
> 
> Both, I guess. Take the case of a fixed user (e.g. a WiMAX DSL
> replacement)
> where the user might always get the same IP address. In this case, she
can
> get it from AAA. The alternative is if it just get the prefixes.
> 
> Now aside from the details, it seems that the bootstrapping doc should
> include this option, otherwise the Diameter spec may not provide any
> accommodation from transfer of HoA or any parts of it from AAA.
> 
> R,
> 
> Madjid
> 
> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]]
> Sent: Monday, July 16, 2007 2:03 PM
> To: Madjid Nakhjiri
> Cc: [email-masked]
> Subject: Re: HoA assignment
> 
> Madjid Nakhjiri wrote:
> > Question on this draft, I apologize if this has been discussed
before.
> >
> >  HoA bootstrapping seems to be done in two ways:
> > 1) HoA assignment by HA
> > 2) HoA auto-configuration
> >
> > Can't the HoA be bootstrapped through interaction with the AAA
server?
> 
> Need more details. Is the AAA server managing the prefixes for a home
> link? Or does the AAA server store a static 128 bit home address for
> the mobile node as part of the mobile node's profile?
> 
> Vijay
> 
> > I believe this is an option with many other bootstrapping/AAA
> interaction
> > documents.
> >
> > Thanks,
> > Madjid
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Wednesday, July 11, 2007 9:15 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: [Mip6] I-D
ACTION:draft-ietf-mip6-bootstrapping-split-06.txt
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> > This draft is a work item of the Mobility for IPv6 Working Group of
the
> > IETF.
> >
> > 	Title		: Mobile IPv6 bootstrapping in split scenario
> > 	Author(s)	: G. Giaretta, et al.
> > 	Filename	: draft-ietf-mip6-bootstrapping-split-06.txt
> > 	Pages		: 27
> > 	Date		: 2007-7-11
> >
> > A Mobile IPv6 node requires a Home Agent address, a home address,
and
> >    IPsec security associations with its Home Agent before it can
start
> >    utilizing Mobile IPv6 service.  RFC 3775 requires that some or
all of
> >    these are statically configured.  This document defines how a
Mobile
> >    IPv6 node can bootstrap this information from non-topological
> >    information and security credentials pre-configured on the Mobile
> >    Node.  The solution defined in this document solves the split
> >    scenario described in the Mobile IPv6 bootstrapping problem
statement
> >    in RFC 4640.  The split scenario refers the case where the Mobile
> >    Node's mobility service is authorized by a different service
provider
> >    than basic network access.  The solution described in this
document
> >    is also generically applicable to any bootstrapping case, since
other
> >    scenarios are more specific realizations of the split scenario.
> >
> > A URL for this Internet-Draft is:
> >
>
http://www.ietf.org/internet-drafts/draft-ietf-mip6-bootstrapping-split-
> 06.t
> > xt
> >
> > To remove yourself from the I-D Announcement list, send a message to
> > [email-masked] with the word unsubscribe in the body
of
> > the message.
> > You can also visit
https://www1.ietf.org/mailman/listinfo/I-D-announce
> > to change your subscription settings.
> >
> > Internet-Drafts are also available by anonymous FTP. Login with the
> > username "anonymous" and a password of your e-mail address. After
> > logging in, type "cd internet-drafts" and then
> > "get draft-ietf-mip6-bootstrapping-split-06.txt".
> >
> > A list of Internet-Drafts directories can be found in
> > http://www.ietf.org/shadow.html
> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >
> > Internet-Drafts can also be obtained by e-mail.
> >
> > Send a message to:
> > 	[email-masked].
> > In the body type:
> > 	"FILE
/internet-drafts/draft-ietf-mip6-bootstrapping-split-06.txt".
> >
> > NOTE:	The mail server at ietf.org can return the document in
> > 	MIME-encoded form by using the "mpack" utility.  To use this
> > 	feature, insert the command "ENCODING mime" before the "FILE"
> > 	command.  To decode the response(s), you will need "munpack" or
> > 	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
> > 	exhibit different behavior, especially when dealing with
> > 	"multipart" MIME messages (i.e. documents which have been split
> > 	up into multiple messages), so check your local documentation on
> > 	how to manipulate these messages.
> >
> > Below is the data which will enable a MIME compliant mail reader
> > implementation to automatically retrieve the ASCII version of the
> > Internet-Draft.
> >
> >
> >
> > _______________________________________________
> > Mip6 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mip6
> 
> 
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6

"This email message and any attachments are confidential information of
Starent Networks, Corp. The information transmitted may not be used to
create or change any contractual obligations of Starent Networks, Corp.  Any
review, retransmission, dissemination or other use of, or taking of any
action in reliance upon this e-mail and its attachments by persons or
entities other than the intended recipient is prohibited. If you are not the
intended recipient, please notify the sender immediately -- by replying to
this message or by sending an email to [email-masked] -- and
destroy all copies of this message and any attachments without reading or
disclosing their contents. Thank you."

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 18 Jul 2007 10:34:03 -0700

Madjid,

draft-ietf-mip6-aaa-ha-goals-03 is still the document that lists
the requirements for the HA-AAA and NAS-AAA interfaces. I haven't
followed the DIME mailing list for a while.

The goals document does not require sending a home address or
home network prefix from the AAA server.

Vijay

---

From: Madjid Nakhjiri <[email-masked]>
Date: Wed, 18 Jul 2007 10:45:23 -0700

Hi Vijay,

If the split case solution does not require HoA bootstrapping, then I am
fine. It is just different from V4 I guess. 

As far as aaa-ha-goals-3, first of all the draft is expired and is not on
any of the reflectors, it does not show on MIP6 WG internet draft lists
either:)
Aside from that this is a requirement document, so I don't expect it talks
about specifically what is bootstrapped from AAA, and what attributes are
needed, as that would be solution space anyway. For that matter it does not
require sending IKE PSK either, does it?

Madjid

-----Original Message-----
From: Vijay Devarapalli [mailto:[email-masked]] 
Sent: Wednesday, July 18, 2007 10:34 AM
To: Madjid Nakhjiri
Cc: 'Chowdhury, Kuntal'; [email-masked]
Subject: Re: [Mip6] RE: HoA assignment

Madjid,

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 18 Jul 2007 10:49:26 -0700

> any of the reflectors, it does not show on MIP6 WG internet draft lists

I know. Thats bad. I got it from the tools.ietf.org website.
http://tools.ietf.org/wg/mip6/draft-ietf-mip6-aaa-ha-goals/

> about specifically what is bootstrapped from AAA, 

It is a requirements document from defining AAA extensions for
MIPv6. It does talk about what is obtained from the AAA server
and when.

> and what attributes are

Hmm.. if the IKEv2 PSK is stored on the AAA server, then this
is required. I think draft-ietf-mip6-aaa-ha-goals missed this.
It should be added in the next revision.

Vijay

---

From: Madjid Nakhjiri <[email-masked]>
Date: Wed, 18 Jul 2007 11:10:19 -0700

-----Original Message-----
From: Vijay Devarapalli [mailto:[email-masked]] 
Sent: Wednesday, July 18, 2007 10:49 AM
To: Madjid Nakhjiri
Cc: 'Chowdhury, Kuntal'; [email-masked]
Subject: Re: [Mip6] RE: HoA assignment

Madjid>>I had it on files:) 

Madjid>>I look at the overview text on split and don't see much as far as
what is coming from AAA. But I don't read that anyway, since I am looking
for requirements, which is this document is for, I guess :) and in the
requirement section, the general goals only have a bunch of security related
goals that pertain to a general AAA protocol, not what is required for
bootstrapping stuff out of a AAA server, was that the intent of this doc?  

Madjid>>Well, again not sure what the goal of this goal doc is:) I thought
it was only requirements out of a AAA interface, not what is needed for a
bootstrapping solution. But it seems that you have a section 5.5 discussing
the parameters, if the goal is to also show what is coming out of AAA
server, then you need to add that requirement. BTW, it seems that G5.1 talks
about HoA going from HA to AAA, so probably need an attribute carrying HoA
over AAA interface anyway (for DNS updates of HoA through AAA server). Not
sure if AAA also needs to send the HoA back to HA as well.

Vijay